package com.tzld.piaoquan.offline.service.Impl;

import com.google.common.collect.Lists;
import com.tzld.piaoquan.common.model.po.HistoryMessage;
import com.tzld.piaoquan.offline.dao.mapper.OfflineHistoryMessageMapper;
import com.tzld.piaoquan.offline.service.OfflineHistoryMessageService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.util.CollectionUtils;

import java.util.List;

@Service
public class OfflineHistoryMessageServiceImpl implements OfflineHistoryMessageService {

    @Autowired
    private OfflineHistoryMessageMapper offlineHistoryMessageMapper;

    @Override
    public void batchInsertHistoryMessage(List<HistoryMessage> historyMessageList) {
        if (CollectionUtils.isEmpty(historyMessageList)) {
            return;
        }
        List<List<HistoryMessage>> partition = Lists.partition(historyMessageList, 1000);
        for (List<HistoryMessage> historyMessages : partition) {
            offlineHistoryMessageMapper.insertList(historyMessages);
        }
    }
}
